Subject: Re: linux-next: build warning after merge of the drivers-x86 tree

From: Arnd Bergmann <[email-masked]>
Date: Fri, 26 May 2017 10:25:36 +0200

On Fri, May 26, 2017 at 1:34 AM, Stephen Rothwell <[email-masked]> wrote:
> On Mon, 22 May 2017 21:03:06 +0300 Andy Shevchenko <[email-masked]> wrote:
>> On Sat, May 20, 2017 at 1:09 AM, Darren Hart <[email-masked]> wrote:
>> > On Fri, May 19, 2017 at 01:23:17PM +1000, Stephen Rothwell wrote:
>> >>
>> >> After merging the drivers-x86 tree, today's linux-next build (x86_64
>> >> allmodconfig) produced this warning:
>> >>
>> >> drivers/platform/x86/ideapad-laptop.c:438:16: warning: 'touchpad_store' defined but not used [-Wunused-function]
>> >>  static ssize_t touchpad_store(struct device *dev,
>> >>                 ^
>> >>
>> >> Introduced by commit
>> >>
>> >>   7f363145992c ("platform/x86: ideapad-laptop: Switch touchpad attribute to be RO")
>> >
>> >
>> > Andy, you warned me about this and I had forgotten before I included it in next.
>> >
>> > Would you like to drop this change, or drop the touchpad_store function?
>>
>> I would go with Arnd's patch if he respins one addressing my comment.
>
> Any progress on this?

Andy wrote that he committed an updated patch on May 23. The git tree
at git://git.infradead.org/users/dvhart/linux-platform-drivers-x86.git#for-next
appears to currently contain an older state from May 15.

        Arnd